import { NumericAxisBase } from "./NumericAxisBase";
import { NumericScaleMode } from "./NumericScaleMode";
import { DependencyProperty } from "igniteui-react-core/ES5/DependencyProperty";
import { NumericScaler } from "./NumericScaler";
import { AxisView } from "./AxisView";
import { Type } from "igniteui-react-core/ES5/type";
import { NumericAxisBaseView } from "./NumericAxisBaseView";
export declare abstract class StraightNumericAxisBase extends NumericAxisBase {
    constructor();
    a1(): AxisView;
    gl(a: AxisView): void;
    k9: StraightNumericAxisBaseView;
    k4: NumericScaleMode;
    static readonly lm: DependencyProperty;
    k8: NumericScaler;
    private static li(a, b);
    protected k7(): NumericScaler;
    protected k6: NumericScaler;
    protected get_k5(): NumericScaler;
    protected set_k5(a: NumericScaler): void;
    k5: NumericScaler;
    kr(a: NumericAxisBase, b: number, c: number, d: boolean, e: number, f: number, g: number): {
        p5: number;
        p6: number;
    };
    private lj(a);
    private la;
    protected lk(): void;
    lf(): void;
    protected gn(a: any, b: string, c: any, d: any): void;
    private lh();
    private lg();
    protected lb(a: number, b: StraightNumericAxisBase): number;
    static $$p: string[];
    static $t: Type;
}
export declare class StraightNumericAxisBaseView extends NumericAxisBaseView {
    protected bf: StraightNumericAxisBase;
    constructor(a: StraightNumericAxisBase);
    bg(): void;
    static $t: Type;
}
